Modify

Opened 5 weeks ago

Closed 5 weeks ago

Last modified 5 weeks ago

#23687 closed defect (fixed)

Freeze when opening add tag dialog

Reported by: anonymous Owned by: team
Priority: normal Milestone: 24.05
Component: Core Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2024-04-29 18:37:36 +0200 (Mon, 29 Apr 2024)
Revision:19067
Build-Date:2024-05-02 01:31:13
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (19067 en) Mac OS X 14.3.1
OS Build number: macOS 14.3.1 (23D60)
Memory Usage: 326 MB / 4096 MB (95 MB allocated, but free)
Java version: 21.0.1+12-LTS, Azul Systems, Inc., OpenJDK 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 1 2240×1260 (scaling 2.00×2.00) Display 2 1920×1080 (scaling 1.00×1.00)
Maximum Screen Size: 2240×1260
Best cursor sizes: 16×16→16×16, 32×32→32×32
Environment variable LANG: en_US.UTF-8
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: en_US
Numbers with default locale: 1234567890 -> 1234567890
VM arguments: [-Djava.util.Arrays.useLegacyMergeSort=true, --add-exports=jdk.deploy/com.sun.deploy.config=ALL-UNNAMED, --add-opens=java.desktop/javax.swing.text.html=ALL-UNNAMED, --add-reads=java.naming=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.action=ALL-UNNAMED,java.desktop, --add-reads=java.base=ALL-UNNAMED,java.desktop, --add-exports=java.naming/com.sun.jndi.toolkit.url=ALL-UNNAMED,java.desktop, --add-opens=java.base/jdk.internal.loader=ALL-UNNAMED, --add-exports=java.desktop/com.apple.eawt=ALL-UNNAMED, --add-exports=java.desktop/sun.awt=ALL-UNNAMED,java.desktop, --add-opens=java.base/jdk.internal.ref=ALL-UNNAMED, --add-exports=java.base/sun.security.validator=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/com.sun.imageio.plugins.jpeg=ALL-UNNAMED, --add-exports=java.base/sun.net.www.protocol.jar=ALL-UNNAMED,java.desktop, --add-exports=java.base/jdk.internal.util.jar=ALL-UNNAMED,java.desktop, --add-opens=java.prefs/java.util.prefs=ALL-UNNAMED, --add-exports=java.base/com.sun.net.ssl.internal.ssl=ALL-UNNAMED,java.desktop, --add-exports=javafx.graphics/com.sun.javafx.application=ALL-UNNAMED, --add-modules=java.scripting,java.sql,javafx.controls,javafx.media,javafx.swing,javafx.web, --add-exports=java.desktop/sun.awt.X11=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/sun.applet=ALL-UNNAMED,java.desktop,jdk.jsobject, --add-exports=java.base/sun.net.www.protocol.http=ALL-UNNAMED,java.desktop, --add-opens=java.base/java.lang=ALL-UNNAMED, --add-exports=java.base/sun.security.util=ALL-UNNAMED,java.desktop, --add-exports=java.desktop/com.sun.imageio.spi=ALL-UNNAMED, --add-reads=java.desktop=ALL-UNNAMED,java.naming, --add-opens=java.base/java.nio=ALL-UNNAMED, --add-exports=java.base/sun.security.x509=ALL-UNNAMED,java.desktop, --add-opens=java.desktop/javax.imageio.spi=ALL-UNNAMED, --add-exports=java.desktop/javax.jnlp=ALL-UNNAMED,java.desktop, --add-exports=java.base/sun.security.provider=ALL-UNNAMED,java.desktop, -Djava.security.manager=allow]

Plugins:
+ FastDraw (36226)
+ ImportImagePlugin (36184)
+ ImproveWay (32)
+ Mapillary (3904)
+ PicLayer (1.0.3)
+ apache-commons (36176)
+ apache-http (36176)
+ auto_tools (81)
+ buildings_tools (36226)
+ changeset-viewer (0.0.7)
+ easypresets (1623509627)
+ ejml (36176)
+ flatlaf (36176)
+ geotools (36176)
+ graphview (36258)
+ intersection (0.0.7)
+ jackson (36176)
+ jaxb (36118)
+ jna (36176)
+ jts (36004)
+ markseen (14)
+ opendata (36256)
+ osm-obj-info (66)
+ reverter (36256)
+ rex (53)
+ turnrestrictions (36226)
+ undelete (36226)
+ utilsplugin2 (36241)

Tagging presets:
+ https://raw.githubusercontent.com/westlakej/Presets/master/Streets.xml 
+ <josm.userdata>/EasyPresets.xml
+ ${HOME}/Downloads/QuickTags.zip

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
+ https://raw.githubusercontent.com/KaartGroup/Kaart-Styles/master/Overlapping%20Ways.mapcss
+ https://raw.githubusercontent.com/KaartGroup/Kaart-Styles/master/Kaart-Styles.mapcss
- https://raw.githubusercontent.com/KaartGroup/Kaart-Styles/master/Kaart_QC.mapcss
- https://github.com/osmlab/applepaintstyles/archive/main.zip

Validator rules:
- https://raw.githubusercontent.com/KaartGroup/KaartValidator/master/kaart.durazno.validator.mapcss
+ https://raw.githubusercontent.com/KaartGroup/KaartValidator/master/kaart.clingstone.validator.mapcss
+ https://raw.githubusercontent.com/KaartGroup/KaartValidator/master/kaart.indonesiaNames.validator.mapcss

Last errors/warnings:
- 00023.907 W: Failed to open file with extension 'xml' and namepart 'preset' in zip file 'QuickTags.zip'. Exception was: java.nio.file.NoSuchFileException: ${HOME}/Downloads/QuickTags.zip: java.nio.file.NoSuchFileException: ${HOME}/Downloads/QuickTags.zip
- 00023.909 E: java.nio.file.NoSuchFileException: ${HOME}/Downloads/QuickTags.zip
- 00023.909 E: ${HOME}/Downloads/QuickTags.zip
- 00024.664 W: Cannot lock cache directory. Will not use disk cache
- 00034.969 W: Cannot start IPv4 remotecontrol server on port 8111: Address already in use
- 00035.388 W: Cannot start IPv6 remotecontrol server on port 8111: Address already in use
2024-05-21 13:55:11
Full thread dump OpenJDK 64-Bit Server VM (21.0.1+12-LTS mixed mode, sharing):

Threads class SMR info:
_java_thread_list=0x0000600001670640, length=78, elements={
0x00007fe1f8843a00, 0x00007fe1f8841000, 0x00007fe1f8841800, 0x00007fe1f8842000,
0x00007fe1f8846800, 0x00007fe1f8847000, 0x00007fe1f8847800, 0x00007fe1f8844c00,
0x00007fe1f8845400, 0x00007fe1f8914c00, 0x00007fe1f7984000, 0x00007fe1f89dfa00,
0x00007fe1c7841a00, 0x00007fe1d7892400, 0x00007fe1f7e30400, 0x00007fe1f8a27c00,
0x00007fe1f8d04400, 0x00007fe1f8d4b000, 0x00007fe1d78cdc00, 0x00007fe1f7f33000,
0x00007fe1c79e0400, 0x00007fe1f8d73c00, 0x00007fe1a0054200, 0x00007fe1f7a3f200,
0x00007fe1d3a1a400, 0x00007fe1f8ff2400, 0x00007fe1c7af7400, 0x00007fe1a08cda00,
0x00007fe1d7fdf600, 0x00007fe1d3d8c000, 0x00007fe1d3c9b800, 0x00007fe1d79c2000,
0x00007fe1a184c400, 0x00007fe197bd0400, 0x00007fe1f7f6de00, 0x00007fe1a02aee00,
0x00007fe197bd8a00, 0x00007fe1d7c55600, 0x00007fe1a0e11400, 0x00007fe1c7bbc400,
0x00007fe197be2c00, 0x00007fe1f89c6e00, 0x00007fe1d78cb600, 0x00007fe1a0292800,
0x00007fe197b5a400, 0x00007fe197b5ac00, 0x00007fe1c7dd4400, 0x00007fe1a0554a00,
0x00007fe1d7e4aa00, 0x00007fe1f7e07800, 0x00007fe1d7e4b200, 0x00007fe1a0557400,
0x00007fe1a0fda000, 0x00007fe1a0557c00, 0x00007fe1a02a3c00, 0x00007fe1f7f3d800,
0x00007fe1a02a4400, 0x00007fe1a02a4c00, 0x00007fe1d2011800, 0x00007fe1f7f3e000,
0x00007fe1c7dff200, 0x00007fe1c7990800, 0x00007fe1a02a5400, 0x00007fe1a07dda00,
0x00007fe1a07de200, 0x00007fe1a0973600, 0x00007fe197cfc000, 0x00007fe1a0973e00,
0x00007fe1a0974600, 0x00007fe1d3a4aa00, 0x00007fe1d184b400, 0x00007fe1d31c4e00,
0x00007fe1a0f69400, 0x00007fe1a0c74200, 0x00007fe1c78d6400, 0x00007fe1d3baa600,
0x00007fe1a3c65c00, 0x00007fe1d10d6000
}

"Reference Handler" #9 [30791] daemon prio=10 os_prio=31 cpu=779.07ms elapsed=73404.51s tid=0x00007fe1f8843a00 nid=30791 waiting on condition  [0x000000030ab26000]
   java.lang.Thread.State: RUNNABLE
	at java.lang.ref.Reference.waitForReferencePendingList(java.base@21.0.1/Native Method)
	at java.lang.ref.Reference.processPendingReferences(java.base@21.0.1/Reference.java:246)
	at java.lang.ref.Reference$ReferenceHandler.run(java.base@21.0.1/Reference.java:208)

"Finalizer" #10 [24067] daemon prio=8 os_prio=31 cpu=559.72ms elapsed=73404.51s tid=0x00007fe1f8841000 nid=24067 in Object.wait()  [0x000000030ac29000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at java.lang.Object.wait(java.base@21.0.1/Object.java:339)
	at java.lang.ref.NativeReferenceQueue.await(java.base@21.0.1/NativeReferenceQueue.java:48)
	at java.lang.ref.ReferenceQueue.remove0(java.base@21.0.1/ReferenceQueue.java:158)
	at java.lang.ref.NativeReferenceQueue.remove(java.base@21.0.1/NativeReferenceQueue.java:89)
	- locked <0x00000007002d6460> (a java.lang.ref.NativeReferenceQueue$Lock)
	at java.lang.ref.Finalizer$FinalizerThread.run(java.base@21.0.1/Finalizer.java:173)

"Signal Dispatcher" #11 [24579] daemon prio=9 os_prio=31 cpu=5.27ms elapsed=73404.51s tid=0x00007fe1f8841800 nid=24579 waiting on condition  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"Service Thread" #12 [25091] daemon prio=9 os_prio=31 cpu=877.46ms elapsed=73404.51s tid=0x00007fe1f8842000 nid=25091 runnable  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"Monitor Deflation Thread" #13 [28419] daemon prio=9 os_prio=31 cpu=7404.16ms elapsed=73404.51s tid=0x00007fe1f8846800 nid=28419 runnable  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"C2 CompilerThread0" #14 [28163] daemon prio=9 os_prio=31 cpu=140057.80ms elapsed=73404.51s tid=0x00007fe1f8847000 nid=28163 waiting on condition  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE
   No compile task

"C1 CompilerThread0" #17 [27651] daemon prio=9 os_prio=31 cpu=15790.53ms elapsed=73404.51s tid=0x00007fe1f8847800 nid=27651 waiting on condition  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE
   No compile task

"Common-Cleaner" #18 [27079] daemon prio=8 os_prio=31 cpu=861.72ms elapsed=73404.47s tid=0x00007fe1f8844c00 nid=27079 waiting on condition  [0x000000030b23b000]
   java.lang.Thread.State: TIMED_WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x00000007002ec980> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.parkNanos(java.base@21.0.1/LockSupport.java:269)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1847)
	at java.lang.ref.ReferenceQueue.await(java.base@21.0.1/ReferenceQueue.java:71)
	at java.lang.ref.ReferenceQueue.remove0(java.base@21.0.1/ReferenceQueue.java:143)
	at java.lang.ref.ReferenceQueue.remove(java.base@21.0.1/ReferenceQueue.java:218)
	at jdk.internal.ref.CleanerImpl.run(java.base@21.0.1/CleanerImpl.java:140)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)
	at jdk.internal.misc.InnocuousThread.run(java.base@21.0.1/InnocuousThread.java:186)

"Notification Thread" #19 [43443] daemon prio=9 os_prio=31 cpu=0.06ms elapsed=73404.40s tid=0x00007fe1f8845400 nid=43443 runnable  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"AppKit Thread" #22 [259] daemon prio=5 os_prio=31 cpu=1183706.24ms elapsed=73403.99s tid=0x00007fe1f8914c00 nid=259 runnable  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"AWT-Shutdown" #23 [63271] prio=5 os_prio=31 cpu=26.10ms elapsed=73403.95s tid=0x00007fe1f7984000 nid=63271 in Object.wait()  [0x000000030b544000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at java.lang.Object.wait(java.base@21.0.1/Object.java:339)
	at sun.awt.AWTAutoShutdown.run(java.desktop@21.0.1/AWTAutoShutdown.java:291)
	- locked <0x0000000700319258> (a java.lang.Object)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"AWT-EventQueue-0" #24 [77867] prio=6 os_prio=31 cpu=2624.98ms elapsed=73403.50s tid=0x00007fe1f89dfa00 nid=77867 waiting on condition  [0x000000030b971000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x00000007000704c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.awt.EventQueue.getNextEvent(java.desktop@21.0.1/EventQueue.java:565)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(java.desktop@21.0.1/EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEventsForFilter(java.desktop@21.0.1/EventDispatchThread.java:124)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(java.desktop@21.0.1/EventDispatchThread.java:113)
	at java.awt.EventDispatchThread.pumpEvents(java.desktop@21.0.1/EventDispatchThread.java:109)
	at java.awt.EventDispatchThread.pumpEvents(java.desktop@21.0.1/EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.run(java.desktop@21.0.1/EventDispatchThread.java:90)

"Output controller consumer daemon" #20 [77331] daemon prio=5 os_prio=31 cpu=9335.22ms elapsed=73403.50s tid=0x00007fe1c7841a00 nid=77331 in Object.wait()  [0x000000030ba74000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at net.sourceforge.jnlp.util.logging.OutputController$MessageQueConsumer.run(OutputController.java:82)
	- locked <0x00000007002d6778> (a net.sourceforge.jnlp.util.logging.OutputController)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"Java2D Queue Flusher" #30 [89131] daemon prio=10 os_prio=31 cpu=198989.69ms elapsed=73403.32s tid=0x00007fe1d7892400 nid=89131 in Object.wait()  [0x000000030c086000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at sun.java2d.metal.MTLRenderQueue$QueueFlusher.run(java.desktop@21.0.1/MTLRenderQueue.java:210)
	- locked <0x0000000700a15888> (a sun.java2d.metal.MTLRenderQueue$QueueFlusher)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"Java2D Disposer" #31 [125723] daemon prio=10 os_prio=31 cpu=2030.83ms elapsed=73403.32s tid=0x00007fe1f7e30400 nid=125723 waiting on condition  [0x000000030c189000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700a2b098> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.lang.ref.ReferenceQueue.await(java.base@21.0.1/ReferenceQueue.java:67)
	at java.lang.ref.ReferenceQueue.remove0(java.base@21.0.1/ReferenceQueue.java:158)
	at java.lang.ref.ReferenceQueue.remove(java.base@21.0.1/ReferenceQueue.java:234)
	at sun.java2d.Disposer.run(java.desktop@21.0.1/Disposer.java:145)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"NetxSecurityThread" #32 [125419] daemon prio=5 os_prio=31 cpu=0.35ms elapsed=73403.27s tid=0x00007fe1f8a27c00 nid=125419 waiting on condition  [0x000000030c28c000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700a00260> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at net.adoptopenjdk.icedteaweb.client.parts.dialogs.security.SecurityDialogMessageHandler.run(SecurityDialogMessageHandler.java:91)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"itwpool-2-itwthread-1" #36 [123287] daemon prio=5 os_prio=31 cpu=10.92ms elapsed=73402.93s tid=0x00007fe1f8d04400 nid=123287 waiting on condition  [0x000000030c698000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700a2b560> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TimerQueue" #38 [92979] daemon prio=5 os_prio=31 cpu=0.39ms elapsed=73402.47s tid=0x00007fe1f8d4b000 nid=92979 waiting on condition  [0x000000030c8a1000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700a409f0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.DelayQueue.take(java.base@21.0.1/DelayQueue.java:242)
	at javax.swing.TimerQueue.run(java.desktop@21.0.1/TimerQueue.java:165)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"itwpool-1-itwthread-1" #40 [93511] daemon prio=5 os_prio=31 cpu=491.82ms elapsed=73402.12s tid=0x00007fe1d78cdc00 nid=93511 waiting on condition  [0x000000030c9a4000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700a15990> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"AWT-EventQueue-1" #48 [97455] prio=6 os_prio=31 cpu=1437082.79ms elapsed=73400.99s tid=0x00007fe1f7f33000 nid=97455 waiting on condition  [0x000000030cfb5000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x00000007f5965800> (a org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinTask.awaitDone(java.base@21.0.1/ForkJoinTask.java:461)
	at java.util.concurrent.ForkJoinTask.join(java.base@21.0.1/ForkJoinTask.java:651)
	at java.util.concurrent.ForkJoinPool.invoke(java.base@21.0.1/ForkJoinPool.java:2822)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.paintWithLock(StyledMapRenderer.java:1676)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1645)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:543)
	at org.openstreetmap.josm.gui.layer.AbstractMapViewPaintable$CompatibilityModeLayerPainter.paint(AbstractMapViewPaintable.java:27)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:475)
	at org.openstreetmap.josm.gui.MapView.drawMapContent(MapView.java:590)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:497)
	at javax.swing.JComponent.paintChildren(java.desktop@21.0.1/JComponent.java:961)
	- locked <0x0000000700b83cd8> (a java.awt.Component$AWTTreeLock)
	at javax.swing.JComponent.paint(java.desktop@21.0.1/JComponent.java:1137)
	at javax.swing.JComponent.paintToOffscreen(java.desktop@21.0.1/JComponent.java:5318)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBufferedImpl(java.desktop@21.0.1/RepaintManager.java:1656)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(java.desktop@21.0.1/RepaintManager.java:1631)
	at javax.swing.RepaintManager$PaintManager.paint(java.desktop@21.0.1/RepaintManager.java:1569)
	at javax.swing.RepaintManager.paint(java.desktop@21.0.1/RepaintManager.java:1336)
	at javax.swing.JComponent._paintImmediately(java.desktop@21.0.1/JComponent.java:5266)
	at javax.swing.JComponent.paintImmediately(java.desktop@21.0.1/JComponent.java:5076)
	at javax.swing.RepaintManager$4.run(java.desktop@21.0.1/RepaintManager.java:878)
	at javax.swing.RepaintManager$4.run(java.desktop@21.0.1/RepaintManager.java:861)
	at java.security.AccessController.executePrivileged(java.base@21.0.1/AccessController.java:778)
	at java.security.AccessController.doPrivileged(java.base@21.0.1/AccessController.java:400)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(java.base@21.0.1/ProtectionDomain.java:87)
	at javax.swing.RepaintManager.paintDirtyRegions(java.desktop@21.0.1/RepaintManager.java:861)
	at javax.swing.RepaintManager.paintDirtyRegions(java.desktop@21.0.1/RepaintManager.java:834)
	at javax.swing.RepaintManager.prePaintDirtyRegions(java.desktop@21.0.1/RepaintManager.java:784)
	at javax.swing.RepaintManager$ProcessingRunnable.run(java.desktop@21.0.1/RepaintManager.java:1897)
	at java.awt.event.InvocationEvent.dispatch(java.desktop@21.0.1/InvocationEvent.java:318)
	at java.awt.EventQueue.dispatchEventImpl(java.desktop@21.0.1/EventQueue.java:773)
	at java.awt.EventQueue$4.run(java.desktop@21.0.1/EventQueue.java:720)
	at java.awt.EventQueue$4.run(java.desktop@21.0.1/EventQueue.java:714)
	at java.security.AccessController.executePrivileged(java.base@21.0.1/AccessController.java:778)
	at java.security.AccessController.doPrivileged(java.base@21.0.1/AccessController.java:400)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(java.base@21.0.1/ProtectionDomain.java:87)
	at java.awt.EventQueue.dispatchEvent(java.desktop@21.0.1/EventQueue.java:742)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(java.desktop@21.0.1/EventDispatchThread.java:203)
	at java.awt.EventDispatchThread.pumpEventsForFilter(java.desktop@21.0.1/EventDispatchThread.java:124)
	at java.awt.EventDispatchThread.pumpEventsForFilter(java.desktop@21.0.1/EventDispatchThread.java:117)
	at java.awt.WaitDispatchSupport$2.run(java.desktop@21.0.1/WaitDispatchSupport.java:191)
	at java.awt.WaitDispatchSupport$4.run(java.desktop@21.0.1/WaitDispatchSupport.java:236)
	at java.awt.WaitDispatchSupport$4.run(java.desktop@21.0.1/WaitDispatchSupport.java:234)
	at java.security.AccessController.executePrivileged(java.base@21.0.1/AccessController.java:778)
	at java.security.AccessController.doPrivileged(java.base@21.0.1/AccessController.java:319)
	at java.awt.WaitDispatchSupport.enter(java.desktop@21.0.1/WaitDispatchSupport.java:234)
	at java.awt.Dialog.show(java.desktop@21.0.1/Dialog.java:1079)
	at java.awt.Component.show(java.desktop@21.0.1/Component.java:1728)
	at java.awt.Component.setVisible(java.desktop@21.0.1/Component.java:1675)
	at java.awt.Window.setVisible(java.desktop@21.0.1/Window.java:1036)
	at java.awt.Dialog.setVisible(java.desktop@21.0.1/Dialog.java:1015)
	at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:468)
	at org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AbstractTagsDialog.setVisible(TagEditHelper.java:698)
	at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:260)
	at org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper.addTag(TagEditHelper.java:289)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog$AddAction.actionPerformed(PropertiesDialog.java:1363)
	at javax.swing.SwingUtilities.notifyAction(java.desktop@21.0.1/SwingUtilities.java:1810)
	at javax.swing.JComponent.processKeyBinding(java.desktop@21.0.1/JComponent.java:2956)
	at javax.swing.KeyboardManager.fireBinding(java.desktop@21.0.1/KeyboardManager.java:309)
	at javax.swing.KeyboardManager.fireKeyboardAction(java.desktop@21.0.1/KeyboardManager.java:264)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(java.desktop@21.0.1/JComponent.java:3049)
	at javax.swing.JComponent.processKeyBindings(java.desktop@21.0.1/JComponent.java:3041)
	at javax.swing.JComponent.processKeyEvent(java.desktop@21.0.1/JComponent.java:2918)
	at java.awt.Component.processEvent(java.desktop@21.0.1/Component.java:6398)
	at java.awt.Container.processEvent(java.desktop@21.0.1/Container.java:2266)
	at java.awt.Component.dispatchEventImpl(java.desktop@21.0.1/Component.java:4996)
	at java.awt.Container.dispatchEventImpl(java.desktop@21.0.1/Container.java:2324)
	at java.awt.Component.dispatchEvent(java.desktop@21.0.1/Component.java:4828)
	at java.awt.KeyboardFocusManager.redispatchEvent(java.desktop@21.0.1/KeyboardFocusManager.java:1952)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(java.desktop@21.0.1/DefaultKeyboardFocusManager.java:883)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(java.desktop@21.0.1/DefaultKeyboardFocusManager.java:1146)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(java.desktop@21.0.1/DefaultKeyboardFocusManager.java:1020)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(java.desktop@21.0.1/DefaultKeyboardFocusManager.java:848)
	at java.awt.Component.dispatchEventImpl(java.desktop@21.0.1/Component.java:4877)
	at java.awt.Container.dispatchEventImpl(java.desktop@21.0.1/Container.java:2324)
	at java.awt.Window.dispatchEventImpl(java.desktop@21.0.1/Window.java:2780)
	at java.awt.Component.dispatchEvent(java.desktop@21.0.1/Component.java:4828)
	at java.awt.EventQueue.dispatchEventImpl(java.desktop@21.0.1/EventQueue.java:775)
	at java.awt.EventQueue$4.run(java.desktop@21.0.1/EventQueue.java:720)
	at java.awt.EventQueue$4.run(java.desktop@21.0.1/EventQueue.java:714)
	at java.security.AccessController.executePrivileged(java.base@21.0.1/AccessController.java:778)
	at java.security.AccessController.doPrivileged(java.base@21.0.1/AccessController.java:400)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(java.base@21.0.1/ProtectionDomain.java:87)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(java.base@21.0.1/ProtectionDomain.java:98)
	at java.awt.EventQueue$5.run(java.desktop@21.0.1/EventQueue.java:747)
	at java.awt.EventQueue$5.run(java.desktop@21.0.1/EventQueue.java:745)
	at java.security.AccessController.executePrivileged(java.base@21.0.1/AccessController.java:778)
	at java.security.AccessController.doPrivileged(java.base@21.0.1/AccessController.java:400)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(java.base@21.0.1/ProtectionDomain.java:87)
	at java.awt.EventQueue.dispatchEvent(java.desktop@21.0.1/EventQueue.java:744)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(java.desktop@21.0.1/EventDispatchThread.java:203)
	at java.awt.EventDispatchThread.pumpEventsForFilter(java.desktop@21.0.1/EventDispatchThread.java:124)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(java.desktop@21.0.1/EventDispatchThread.java:113)
	at java.awt.EventDispatchThread.pumpEvents(java.desktop@21.0.1/EventDispatchThread.java:109)
	at java.awt.EventDispatchThread.pumpEvents(java.desktop@21.0.1/EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.run(java.desktop@21.0.1/EventDispatchThread.java:90)

"itwpool-1-itwthread-2" #51 [117035] daemon prio=5 os_prio=31 cpu=4.39ms elapsed=73400.95s tid=0x00007fe1c79e0400 nid=117035 waiting on condition  [0x000000030d1bc000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700a15990> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TimerQueue" #53 [111623] daemon prio=5 os_prio=31 cpu=375008.29ms elapsed=73400.66s tid=0x00007fe1f8d73c00 nid=111623 waiting on condition  [0x000000030d4c8000]
   java.lang.Thread.State: TIMED_WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000701403688> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.parkNanos(java.base@21.0.1/LockSupport.java:269)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(java.base@21.0.1/AbstractQueuedSynchronizer.java:1758)
	at java.util.concurrent.DelayQueue.take(java.base@21.0.1/DelayQueue.java:254)
	at javax.swing.TimerQueue.run(java.desktop@21.0.1/TimerQueue.java:165)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"main-worker-0" #58 [61803] prio=5 os_prio=31 cpu=23709.55ms elapsed=73398.34s tid=0x00007fe1a0054200 nid=61803 in Object.wait()  [0x000000030d5cb000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at java.lang.Object.wait(java.base@21.0.1/Object.java:339)
	at java.awt.EventQueue.invokeAndWait(java.desktop@21.0.1/EventQueue.java:1365)
	- locked <0x00000007f5ba5140> (a java.awt.EventQueue$1AWTInvocationLock)
	at java.awt.EventQueue.invokeAndWait(java.desktop@21.0.1/EventQueue.java:1346)
	at javax.swing.SwingUtilities.invokeAndWait(java.desktop@21.0.1/SwingUtilities.java:1480)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:228)
	at org.openstreetmap.josm.gui.util.GuiHelper.lambda$executeByMainWorkerInEDT$0(GuiHelper.java:188)
	at org.openstreetmap.josm.gui.util.GuiHelper$$Lambda/0x0000000130996ab8.run(Unknown Source)
	at java.util.concurrent.Executors$RunnableAdapter.call(java.base@21.0.1/Executors.java:572)
	at java.util.concurrent.FutureTask.run(java.base@21.0.1/FutureTask.java:317)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1144)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"File Watcher" #59 [93255] prio=5 os_prio=31 cpu=0.23ms elapsed=73396.47s tid=0x00007fe1f7a3f200 nid=93255 waiting on condition  [0x000000030cdb0000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x00000007012460e0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at java.util.concurrent.LinkedBlockingDeque.take(java.base@21.0.1/LinkedBlockingDeque.java:673)
	at sun.nio.fs.AbstractWatchService.take(java.base@21.0.1/AbstractWatchService.java:118)
	at org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
	at org.openstreetmap.josm.io.FileWatcher$$Lambda/0x0000000130452490.run(Unknown Source)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"Weak reference cleaner" #60 [101975] prio=5 os_prio=31 cpu=0.37ms elapsed=73395.57s tid=0x00007fe1d3a1a400 nid=101975 waiting on condition  [0x000000030d3c2000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000701270b80> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.lang.ref.ReferenceQueue.await(java.base@21.0.1/ReferenceQueue.java:67)
	at java.lang.ref.ReferenceQueue.remove0(java.base@21.0.1/ReferenceQueue.java:158)
	at java.lang.ref.ReferenceQueue.remove(java.base@21.0.1/ReferenceQueue.java:234)
	at org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
	at org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda/0x00000001304b4400.run(Unknown Source)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"image-fetcher-0" #80 [84759] prio=5 os_prio=31 cpu=775.82ms elapsed=73383.56s tid=0x00007fe1f8ff2400 nid=84759 waiting on condition  [0x000000030b33e000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000701c20110> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"JCS-ElementEventQueue-Thread-3" #87 [174087] daemon prio=5 os_prio=31 cpu=0.16ms elapsed=73375.50s tid=0x00007fe1c7af7400 nid=174087 waiting on condition  [0x000000030d6ce000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000705a3c5e8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"CacheEventQueue.QProcessor-TMS_BLOCK_v2Thread-4" #88 [131479] daemon prio=5 os_prio=31 cpu=6970.88ms elapsed=73375.38s tid=0x00007fe1a08cda00 nid=131479 waiting on condition  [0x000000030dee6000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000705a5a890> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"GT authority factory disposer" #90 [56955] daemon prio=5 os_prio=31 cpu=97.34ms elapsed=73371.88s tid=0x00007fe1d7fdf600 nid=56955 in Object.wait()  [0x000000030e0ec000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at java.lang.Object.wait(java.base@21.0.1/Object.java:339)
	at java.util.TimerThread.mainLoop(java.base@21.0.1/Timer.java:537)
	- locked <0x0000000716af3ba0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(java.base@21.0.1/Timer.java:516)

"CacheEventQueue.QProcessor-mapillary:userProfile_BLOCK_v2Thread-7" #93 [104731] daemon prio=5 os_prio=31 cpu=0.15ms elapsed=73369.10s tid=0x00007fe1d3d8c000 nid=104731 waiting on condition  [0x000000030b6ce000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000704000098> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"CacheEventQueue.QProcessor-mapillary:metaImages_BLOCK_v2Thread-8" #94 [23567] daemon prio=5 os_prio=31 cpu=0.11ms elapsed=73369.07s tid=0x00007fe1d3c9b800 nid=23567 waiting on condition  [0x000000030e1ef000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x00000007040046f8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"CacheEventQueue.QProcessor-mapillary:metadata_BLOCK_v2Thread-9" #95 [106567] daemon prio=5 os_prio=31 cpu=0.11ms elapsed=73369.07s tid=0x00007fe1d79c2000 nid=106567 waiting on condition  [0x000000030e2f2000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000704008d58> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"CacheEventQueue.QProcessor-mapillary:image:fullImage_BLOCK_v2Thread-10" #96 [174407] daemon prio=5 os_prio=31 cpu=0.11ms elapsed=73368.95s tid=0x00007fe1a184c400 nid=174407 waiting on condition  [0x000000030e3f5000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000070400d3b8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"RemoteControl HTTP Server" #98 [142359] daemon prio=5 os_prio=31 cpu=10364.46ms elapsed=73365.62s tid=0x00007fe197bd0400 nid=142359 runnable  [0x000000030e5fb000]
   java.lang.Thread.State: RUNNABLE
	at sun.nio.ch.Net.accept(java.base@21.0.1/Native Method)
	at sun.nio.ch.NioSocketImpl.accept(java.base@21.0.1/NioSocketImpl.java:748)
	at java.net.ServerSocket.implAccept(java.base@21.0.1/ServerSocket.java:698)
	at java.net.ServerSocket.platformImplAccept(java.base@21.0.1/ServerSocket.java:663)
	at java.net.ServerSocket.implAccept(java.base@21.0.1/ServerSocket.java:639)
	at java.net.ServerSocket.implAccept(java.base@21.0.1/ServerSocket.java:585)
	at java.net.ServerSocket.accept(java.base@21.0.1/ServerSocket.java:543)
	at org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

"RemoteControl HTTP Server" #99 [157703] daemon prio=5 os_prio=31 cpu=1.27ms elapsed=73365.62s tid=0x00007fe1f7f6de00 nid=157703 runnable  [0x000000030e6fe000]
   java.lang.Thread.State: RUNNABLE
	at sun.nio.ch.Net.accept(java.base@21.0.1/Native Method)
	at sun.nio.ch.NioSocketImpl.accept(java.base@21.0.1/NioSocketImpl.java:748)
	at java.net.ServerSocket.implAccept(java.base@21.0.1/ServerSocket.java:698)
	at java.net.ServerSocket.platformImplAccept(java.base@21.0.1/ServerSocket.java:663)
	at java.net.ServerSocket.implAccept(java.base@21.0.1/ServerSocket.java:639)
	at java.net.ServerSocket.implAccept(java.base@21.0.1/ServerSocket.java:585)
	at java.net.ServerSocket.accept(java.base@21.0.1/ServerSocket.java:543)
	at org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

"message-notifier-0" #100 [156471] prio=5 os_prio=31 cpu=33417.14ms elapsed=73365.60s tid=0x00007fe1a02aee00 nid=156471 waiting on condition  [0x000000030e801000]
   java.lang.Thread.State: TIMED_WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000701d3ce28> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.parkNanos(java.base@21.0.1/LockSupport.java:269)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(java.base@21.0.1/AbstractQueuedSynchronizer.java:1758)
	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(java.base@21.0.1/ScheduledThreadPoolExecutor.java:1182)
	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(java.base@21.0.1/ScheduledThreadPoolExecutor.java:899)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"changeset-updater-0" #101 [98319] prio=5 os_prio=31 cpu=82.20ms elapsed=73365.58s tid=0x00007fe197bd8a00 nid=98319 waiting on condition  [0x000000030e904000]
   java.lang.Thread.State: TIMED_WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000070f10d158> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.parkNanos(java.base@21.0.1/LockSupport.java:269)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(java.base@21.0.1/AbstractQueuedSynchronizer.java:1758)
	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(java.base@21.0.1/ScheduledThreadPoolExecutor.java:1182)
	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(java.base@21.0.1/ScheduledThreadPoolExecutor.java:899)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"DestroyJavaVM" #102 [10755] prio=5 os_prio=31 cpu=1650.12ms elapsed=73365.55s tid=0x00007fe1d7c55600 nid=10755 waiting on condition  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"Timer-0" #104 [31783] daemon prio=6 os_prio=31 cpu=4685.86ms elapsed=73365.40s tid=0x00007fe1a0e11400 nid=31783 waiting on condition  [0x000000030ea07000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000072d88d978> (a java.util.concurrent.locks.ReentrantReadWriteLock$NonfairSync)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:221)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquire(java.base@21.0.1/AbstractQueuedSynchronizer.java:754)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireShared(java.base@21.0.1/AbstractQueuedSynchronizer.java:1079)
	at java.util.concurrent.locks.ReentrantReadWriteLock$ReadLock.lock(java.base@21.0.1/ReentrantReadWriteLock.java:738)
	at org.openstreetmap.josm.gui.io.importexport.OsmExporter.doSave(OsmExporter.java:137)
	at org.openstreetmap.josm.gui.io.importexport.OsmExporter.save(OsmExporter.java:100)
	at org.openstreetmap.josm.gui.io.importexport.OsmExporter.exportData(OsmExporter.java:79)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.autosave(OsmDataLayer.java:1350)
	at org.openstreetmap.josm.gui.layer.AutosaveTask.savelayer(AutosaveTask.java:240)
	at org.openstreetmap.josm.gui.layer.AutosaveTask.run(AutosaveTask.java:259)
	- locked <0x00000007147b5770> (a java.lang.Object)
	at java.util.TimerThread.mainLoop(java.base@21.0.1/Timer.java:566)
	at java.util.TimerThread.run(java.base@21.0.1/Timer.java:516)

"Timer-1" #125 [91467] prio=6 os_prio=31 cpu=0.96ms elapsed=70480.04s tid=0x00007fe1c7bbc400 nid=91467 in Object.wait()  [0x000000030c38f000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at java.lang.Object.wait(java.base@21.0.1/Object.java:339)
	at java.util.TimerThread.mainLoop(java.base@21.0.1/Timer.java:537)
	- locked <0x000000070f10ee10> (a java.util.TaskQueue)
	at java.util.TimerThread.run(java.base@21.0.1/Timer.java:516)

"Map Status Collector" #127 [123843] daemon prio=6 os_prio=31 cpu=8449.31ms elapsed=70479.43s tid=0x00007fe197be2c00 nid=123843 waiting on condition  [0x000000030c79b000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000070f10eea0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingQueue.take(java.base@21.0.1/LinkedBlockingQueue.java:435)
	at org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:438)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"Timer-2" #139 [33043] daemon prio=6 os_prio=31 cpu=0.18ms elapsed=70473.23s tid=0x00007fe1f89c6e00 nid=33043 in Object.wait()  [0x000000030b7d1000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait0(java.base@21.0.1/Native Method)
	- waiting on <no object reference available>
	at java.lang.Object.wait(java.base@21.0.1/Object.java:366)
	at java.lang.Object.wait(java.base@21.0.1/Object.java:339)
	at java.util.TimerThread.mainLoop(java.base@21.0.1/Timer.java:537)
	- locked <0x000000070f109bb0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(java.base@21.0.1/Timer.java:516)

"JNA Cleaner" #150 [156903] daemon prio=6 os_prio=31 cpu=0.15ms elapsed=70468.32s tid=0x00007fe1d78cb600 nid=156903 waiting on condition  [0x000000030f0a2000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000070f112a78> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.lang.ref.ReferenceQueue.await(java.base@21.0.1/ReferenceQueue.java:67)
	at java.lang.ref.ReferenceQueue.remove0(java.base@21.0.1/ReferenceQueue.java:158)
	at java.lang.ref.ReferenceQueue.remove(java.base@21.0.1/ReferenceQueue.java:234)
	at com.sun.jna.internal.Cleaner$1.run(Cleaner.java:58)

"pool-2-thread-1" #176 [111987] prio=5 os_prio=31 cpu=8528.18ms elapsed=69813.67s tid=0x00007fe1a0292800 nid=111987 waiting on condition  [0x000000030ee13000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000716af35a0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.ArrayBlockingQueue.take(java.base@21.0.1/ArrayBlockingQueue.java:420)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-0" #178 [148515] prio=5 os_prio=31 cpu=7043.60ms elapsed=69792.12s tid=0x00007fe197b5a400 nid=148515 waiting on condition  [0x000000030f228000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-1" #179 [152411] prio=5 os_prio=31 cpu=7322.60ms elapsed=69792.12s tid=0x00007fe197b5ac00 nid=152411 waiting on condition  [0x000000030f32b000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-2" #180 [117567] prio=5 os_prio=31 cpu=8083.59ms elapsed=69792.12s tid=0x00007fe1c7dd4400 nid=117567 waiting on condition  [0x000000030f42e000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-3" #181 [175987] prio=5 os_prio=31 cpu=7426.17ms elapsed=69792.12s tid=0x00007fe1a0554a00 nid=175987 waiting on condition  [0x000000030f531000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-4" #182 [150327] prio=5 os_prio=31 cpu=6674.71ms elapsed=69792.12s tid=0x00007fe1d7e4aa00 nid=150327 waiting on condition  [0x000000030f634000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-5" #183 [104683] prio=5 os_prio=31 cpu=7439.80ms elapsed=69792.12s tid=0x00007fe1f7e07800 nid=104683 waiting on condition  [0x000000030f737000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-6" #184 [261291] prio=5 os_prio=31 cpu=7471.66ms elapsed=69792.12s tid=0x00007fe1d7e4b200 nid=261291 waiting on condition  [0x000000030f83a000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-7" #185 [143107] prio=5 os_prio=31 cpu=6967.72ms elapsed=69792.12s tid=0x00007fe1a0557400 nid=143107 waiting on condition  [0x000000030f93d000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-8" #186 [176647] prio=5 os_prio=31 cpu=7909.93ms elapsed=69792.12s tid=0x00007fe1a0fda000 nid=176647 waiting on condition  [0x000000030fa40000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-9" #187 [259087] prio=5 os_prio=31 cpu=6896.44ms elapsed=69792.12s tid=0x00007fe1a0557c00 nid=259087 waiting on condition  [0x000000030fb43000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-10" #188 [178183] prio=5 os_prio=31 cpu=6937.94ms elapsed=69792.12s tid=0x00007fe1a02a3c00 nid=178183 waiting on condition  [0x000000030fc46000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-11" #189 [178691] prio=5 os_prio=31 cpu=7539.22ms elapsed=69792.12s tid=0x00007fe1f7f3d800 nid=178691 waiting on condition  [0x000000030fd49000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-12" #190 [149051] prio=5 os_prio=31 cpu=6815.37ms elapsed=69792.12s tid=0x00007fe1a02a4400 nid=149051 waiting on condition  [0x000000030fe4c000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-13" #191 [179971] prio=5 os_prio=31 cpu=7017.30ms elapsed=69792.12s tid=0x00007fe1a02a4c00 nid=179971 waiting on condition  [0x000000030ff4f000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-14" #192 [180739] prio=5 os_prio=31 cpu=7791.65ms elapsed=69792.12s tid=0x00007fe1d2011800 nid=180739 waiting on condition  [0x0000000310052000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-15" #193 [180995] prio=5 os_prio=31 cpu=7504.78ms elapsed=69792.12s tid=0x00007fe1f7f3e000 nid=180995 waiting on condition  [0x0000000310155000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-16" #194 [258335] prio=5 os_prio=31 cpu=6990.84ms elapsed=69792.12s tid=0x00007fe1c7dff200 nid=258335 waiting on condition  [0x0000000310258000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-17" #195 [257559] prio=5 os_prio=31 cpu=7145.35ms elapsed=69792.12s tid=0x00007fe1c7990800 nid=257559 waiting on condition  [0x000000031035b000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-18" #196 [257027] prio=5 os_prio=31 cpu=7526.24ms elapsed=69792.12s tid=0x00007fe1a02a5400 nid=257027 waiting on condition  [0x000000031045e000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-19" #197 [182019] prio=5 os_prio=31 cpu=7094.83ms elapsed=69792.12s tid=0x00007fe1a07dda00 nid=182019 waiting on condition  [0x0000000310561000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-20" #198 [182531] prio=5 os_prio=31 cpu=7052.04ms elapsed=69792.12s tid=0x00007fe1a07de200 nid=182531 waiting on condition  [0x0000000310664000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-21" #199 [183299] prio=5 os_prio=31 cpu=7638.49ms elapsed=69792.12s tid=0x00007fe1a0973600 nid=183299 waiting on condition  [0x0000000310767000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-22" #200 [255747] prio=5 os_prio=31 cpu=7242.81ms elapsed=69792.11s tid=0x00007fe197cfc000 nid=255747 waiting on condition  [0x000000031086a000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-23" #201 [184323] prio=5 os_prio=31 cpu=7485.22ms elapsed=69792.11s tid=0x00007fe1a0973e00 nid=184323 waiting on condition  [0x000000031096d000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"TMS-downloader-24" #202 [184835] prio=5 os_prio=31 cpu=7553.06ms elapsed=69792.11s tid=0x00007fe1a0974600 nid=184835 waiting on condition  [0x0000000310a70000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000071313f4c8> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionNode.block(java.base@21.0.1/AbstractQueuedSynchronizer.java:519)
	at java.util.concurrent.ForkJoinPool.unmanagedBlock(java.base@21.0.1/ForkJoinPool.java:3780)
	at java.util.concurrent.ForkJoinPool.managedBlock(java.base@21.0.1/ForkJoinPool.java:3725)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(java.base@21.0.1/AbstractQueuedSynchronizer.java:1707)
	at java.util.concurrent.LinkedBlockingDeque.takeFirst(java.base@21.0.1/LinkedBlockingDeque.java:485)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:107)
	at org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:28)
	at java.util.concurrent.ThreadPoolExecutor.getTask(java.base@21.0.1/ThreadPoolExecutor.java:1070)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(java.base@21.0.1/ThreadPoolExecutor.java:1130)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(java.base@21.0.1/ThreadPoolExecutor.java:642)
	at java.lang.Thread.runWith(java.base@21.0.1/Thread.java:1596)
	at java.lang.Thread.run(java.base@21.0.1/Thread.java:1583)

"ForkJoinPool.commonPool-worker-230" #43607 [200491] daemon prio=6 os_prio=31 cpu=535.53ms elapsed=1342.42s tid=0x00007fe1d3a4aa00 nid=200491 waiting on condition  [0x000000030ceb3000]
   java.lang.Thread.State: TIMED_WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700ad5610> (a java.util.concurrent.ForkJoinPool)
	at java.util.concurrent.locks.LockSupport.parkUntil(java.base@21.0.1/LockSupport.java:449)
	at java.util.concurrent.ForkJoinPool.awaitWork(java.base@21.0.1/ForkJoinPool.java:1891)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1809)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"ForkJoinPool.commonPool-worker-237" #43799 [161175] daemon prio=6 os_prio=31 cpu=490.24ms elapsed=1163.45s tid=0x00007fe1d184b400 nid=161175 waiting on condition  [0x000000030d7d1000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700ad5610> (a java.util.concurrent.ForkJoinPool)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinPool.awaitWork(java.base@21.0.1/ForkJoinPool.java:1893)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1809)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"ForkJoinPool.commonPool-worker-238" #43962 [60167] daemon prio=6 os_prio=31 cpu=379.86ms elapsed=791.69s tid=0x00007fe1d31c4e00 nid=60167 waiting on condition  [0x000000030c492000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700ad5610> (a java.util.concurrent.ForkJoinPool)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinPool.awaitWork(java.base@21.0.1/ForkJoinPool.java:1893)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1809)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"ForkJoinPool.commonPool-worker-240" #43963 [186559] daemon prio=6 os_prio=31 cpu=346.77ms elapsed=791.69s tid=0x00007fe1a0f69400 nid=186559 waiting on condition  [0x000000030d95a000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x0000000700ad5610> (a java.util.concurrent.ForkJoinPool)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinPool.awaitWork(java.base@21.0.1/ForkJoinPool.java:1893)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1809)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"styled-map-renderer-202" #44334 [164791] daemon prio=5 os_prio=31 cpu=56.21ms elapsed=645.39s tid=0x00007fe1a0c74200 nid=164791 waiting on condition  [0x000000030ef16000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000070137b2e8> (a java.util.concurrent.ForkJoinPool)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinPool.awaitWork(java.base@21.0.1/ForkJoinPool.java:1893)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1809)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"styled-map-renderer-203" #44335 [141103] daemon prio=5 os_prio=31 cpu=48.48ms elapsed=645.39s tid=0x00007fe1c78d6400 nid=141103 waiting on condition  [0x0000000310b73000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000072d88d978> (a java.util.concurrent.locks.ReentrantReadWriteLock$NonfairSync)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:221)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquire(java.base@21.0.1/AbstractQueuedSynchronizer.java:754)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer.acquireShared(java.base@21.0.1/AbstractQueuedSynchronizer.java:1079)
	at java.util.concurrent.locks.ReentrantReadWriteLock$ReadLock.lock(java.base@21.0.1/ReentrantReadWriteLock.java:738)
	at org.openstreetmap.josm.data.osm.DataSet.searchNodes(DataSet.java:412)
	at org.openstreetmap.josm.gui.mappaint.mapcss.Selector$ChildOrParentSelector.visitBBox(Selector.java:505)
	at org.openstreetmap.josm.gui.mappaint.mapcss.Selector$ChildOrParentSelector.matches(Selector.java:542)
	at org.openstreetmap.josm.gui.mappaint.mapcss.MapCSSStyleSource.apply(MapCSSStyleSource.java:366)
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.generateStyles(ElemStyles.java:398)
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.getImpl(ElemStyles.java:261)
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.getStyleCacheWithRange(ElemStyles.java:173)
	- locked <0x000000070bb5e448> (a org.openstreetmap.josm.data.osm.Way)
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.get(ElemStyles.java:150)
	at org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker.add(ComputeStyleListWorker.java:171)
	at org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker.visit(ComputeStyleListWorker.java:143)
	at org.openstreetmap.josm.data.osm.Way.accept(Way.java:184)
	at org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker.acceptDrawable(ComputeStyleListWorker.java:129)
	at org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker.computeDirectly(ComputeStyleListWorker.java:116)
	at org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker.compute(ComputeStyleListWorker.java:93)
	at org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker.compute(ComputeStyleListWorker.java:34)
	at java.util.concurrent.RecursiveTask.exec(java.base@21.0.1/RecursiveTask.java:110)
	at java.util.concurrent.ForkJoinTask.doExec(java.base@21.0.1/ForkJoinTask.java:387)
	at java.util.concurrent.ForkJoinPool$WorkQueue.topLevelExec(java.base@21.0.1/ForkJoinPool.java:1312)
	at java.util.concurrent.ForkJoinPool.scan(java.base@21.0.1/ForkJoinPool.java:1843)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1808)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"styled-map-renderer-204" #44336 [248703] daemon prio=5 os_prio=31 cpu=72.68ms elapsed=645.39s tid=0x00007fe1d3baa600 nid=248703 waiting on condition  [0x0000000310c76000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000070137b2e8> (a java.util.concurrent.ForkJoinPool)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinPool.awaitWork(java.base@21.0.1/ForkJoinPool.java:1893)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1809)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"styled-map-renderer-205" #44337 [204083] daemon prio=5 os_prio=31 cpu=118.73ms elapsed=643.04s tid=0x00007fe1a3c65c00 nid=204083 waiting on condition  [0x0000000310d79000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x000000070137b2e8> (a java.util.concurrent.ForkJoinPool)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinPool.awaitWork(java.base@21.0.1/ForkJoinPool.java:1893)
	at java.util.concurrent.ForkJoinPool.runWorker(java.base@21.0.1/ForkJoinPool.java:1809)
	at java.util.concurrent.ForkJoinWorkerThread.run(java.base@21.0.1/ForkJoinWorkerThread.java:188)

"Attach Listener" #45473 [249871] daemon prio=9 os_prio=31 cpu=11.07ms elapsed=84.01s tid=0x00007fe1d10d6000 nid=249871 waiting on condition  [0x0000000000000000]
   java.lang.Thread.State: RUNNABLE

"VM Thread" os_prio=31 cpu=2995.04ms elapsed=73404.54s tid=0x00007fe1f800b900 nid=22019 runnable  

"GC Thread#0" os_prio=31 cpu=3658.20ms elapsed=73404.57s tid=0x00007fe1f8007dd0 nid=16643 runnable  

"GC Thread#1" os_prio=31 cpu=3630.16ms elapsed=73403.50s tid=0x00007fe1f807c450 nid=130867 runnable  

"GC Thread#2" os_prio=31 cpu=3660.25ms elapsed=73403.50s tid=0x00007fe1f807cdb0 nid=130563 runnable  

"GC Thread#3" os_prio=31 cpu=3665.91ms elapsed=73403.50s tid=0x00007fe1f807d710 nid=130051 runnable  

"GC Thread#4" os_prio=31 cpu=3625.96ms elapsed=73403.50s tid=0x00007fe1f807e070 nid=129539 runnable  

"GC Thread#5" os_prio=31 cpu=3637.50ms elapsed=73403.50s tid=0x00007fe1f807e9d0 nid=129027 runnable  

"GC Thread#6" os_prio=31 cpu=3645.37ms elapsed=73401.85s tid=0x00007fe1f77fed40 nid=120591 runnable  

"GC Thread#7" os_prio=31 cpu=3620.05ms elapsed=73401.85s tid=0x00007fe1f77ff2b0 nid=95491 runnable  

"G1 Main Marker" os_prio=31 cpu=70.74ms elapsed=73404.57s tid=0x00007fe1f7706d70 nid=17155 runnable  

"G1 Conc#0" os_prio=31 cpu=17697.18ms elapsed=73404.57s tid=0x00007fe1f77076e0 nid=20995 runnable  

"G1 Conc#1" os_prio=31 cpu=17692.33ms elapsed=73401.85s tid=0x00007fe1f77fe770 nid=119555 runnable  

"G1 Refine#0" os_prio=31 cpu=42267.58ms elapsed=73404.57s tid=0x00007fe1f780fc00 nid=20739 runnable  

"G1 Service" os_prio=31 cpu=2357.91ms elapsed=73404.57s tid=0x00007fe1f770a600 nid=20227 runnable  

"VM Periodic Task Thread" os_prio=31 cpu=39256.43ms elapsed=73404.54s tid=0x00007fe1f8008c30 nid=19715 waiting on condition  

JNI global refs: 3606, weak refs: 41127


Attachments (1)

Screenshot 2024-05-21 at 2.02.25 PM.png (1007.0 KB ) - added by anonymous 5 weeks ago.

Download all attachments as: .zip

Change History (5)

comment:1 by taylor.smock, 5 weeks ago

Here are the important bits from the thread dump:

"AWT-EventQueue-1" #48 [97455] prio=6 os_prio=31 cpu=1437082.79ms elapsed=73400.99s tid=0x00007fe1f7f33000 nid=97455 waiting on condition  [0x000000030cfb5000]
   java.lang.Thread.State: WAITING (parking)
	at jdk.internal.misc.Unsafe.park(java.base@21.0.1/Native Method)
	- parking to wait for  <0x00000007f5965800> (a org.openstreetmap.josm.data.osm.visitor.paint.ComputeStyleListWorker)
	at java.util.concurrent.locks.LockSupport.park(java.base@21.0.1/LockSupport.java:371)
	at java.util.concurrent.ForkJoinTask.awaitDone(java.base@21.0.1/ForkJoinTask.java:461)
	at java.util.concurrent.ForkJoinTask.join(java.base@21.0.1/ForkJoinTask.java:651)
	at java.util.concurrent.ForkJoinPool.invoke(java.base@21.0.1/ForkJoinPool.java:2822)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.paintWithLock(StyledMapRenderer.java:1676)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1645)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:543)
	at org.openstreetmap.josm.gui.layer.AbstractMapViewPaintable$CompatibilityModeLayerPainter.paint(AbstractMapViewPaintable.java:27)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:475)
	at org.openstreetmap.josm.gui.MapView.drawMapContent(MapView.java:590)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:497)
        [...]
	at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:468)
	at org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AbstractTagsDialog.setVisible(TagEditHelper.java:698)
	at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:260)
	at org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper.addTag(TagEditHelper.java:289)
	at org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog$AddAction.actionPerformed(PropertiesDialog.java:1363)

It looks like we are locking the dataset in org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper.addTag, and then the EDT is deciding to dispatch a paint request to the components, which in turn triggers a call to a thread which then waits for the EDT thread to release the writeLock.

The thread which holds a write lock can always get a read lock, which is why the if (readLock.tryLock) succeeds in org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render`.

comment:2 by taylor.smock, 5 weeks ago

Resolution: fixed
Status: newclosed

In 19085/josm:

Fix #23687: Freeze when opening Add Tag dialog

This occurs when the following are true:

  • The EDT is in a blocking dialog where a DataSet write lock is held
  • The EDT decides to repaint the mapview
  • The style caching occurs on a different thread

Why is this a problem?
The style caching waits for a read lock in a different thread, which will never
happen since the EDT has a write lock. The try-catch block that checks to see if
the current thread can get a read lock does not work on a thread that already has
a write lock, since that thread will always be able to obtain a read lock.

There are two solutions to this:

  1. Change the style caching code such that it times out after some period of time and then retries in the EDT (to avoid recurrent timeouts)
  2. Change TagEditHelper such that the blocking dialog is not in a block which holds a DataSet write lock


Option 2 is better, since it fixes the root cause; option 1 may need to be done
in the future, if only to allow for bug reports.

comment:3 by taylor.smock, 5 weeks ago

Milestone: 24.05

comment:4 by taylor.smock, 5 weeks ago

Ticket #23281 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.